package com.ruixuan.data.entity;

import com.ruixuan.common.annotation.Excel;
import com.ruixuan.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 直播数据概览对象 kuaishou_live_data_overview
 *
 * @author ruoyi
 * @date 2022-05-31
 */
@Data
public class KuaishouLiveDataOverview extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 快手ID
     */
    @Excel(name = "快手ID")
    private Long ksId;

    /**
     * 快手昵称
     */
    @Excel(name = "快手昵称")
    private String ksName;

    /**
     * 账户ID
     */
    @Excel(name = "账户ID")
    private Long accountId;

    /**
     * 账户名称
     */
    @Excel(name = "账户名称")
    private String accountName;

    /**
     * 成交金额
     */
    @Excel(name = "成交金额")
    private BigDecimal amounts;

    /**
     * 日期
     */
    @Excel(name = "日期")
    private String statDate;

    public void setKsId(Long ksId) {
        this.ksId = ksId;
    }

    public Long getKsId() {
        return ksId;
    }

    public void setKsName(String ksName) {
        this.ksName = ksName;
    }

    public String getKsName() {
        return ksName;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAmounts(BigDecimal amounts) {
        this.amounts = amounts;
    }

    public BigDecimal getAmounts() {
        return amounts;
    }

    public void setStatDate(String statDate) {
        this.statDate = statDate;
    }

    public String getStatDate() {
        return statDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("ksId", getKsId())
                .append("ksName", getKsName())
                .append("accountId", getAccountId())
                .append("accountName", getAccountName())
                .append("amounts", getAmounts())
                .append("statDate", getStatDate())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
